Windowsソフト、iPhoneアプリ、ゲーム音楽素材の「Meteoric Stream」 -> 資料室 -> アップル製品奮闘記 -> MacでPHP実行時にlibicui18n.62.dylibのエラーが出る場合の対処方法

MacでPHP実行時にlibicui18n.62.dylibのエラーが出る場合の対処方法

突然、MacでPHPの実行時に、以下のエラーが出て、実行出来なくなりました・・・。

dyld: Library not loaded: /usr/local/opt/icu4c/lib/libicui18n.62.dylib

色々調べていると、brewでnodeを再インストールする、とか書いてあるけど、どれも上手くいかず。

結果的に、下記コマンドで、brewでインストールしていたPHPをアップグレードすると、治りました。

brew upgrade php@7.1

・・・まあ、当たり前といえば、当たり前ですね(笑)

※「@7.1」の部分は、インストールしているPHPのバージョンによって異なります。

この記事の最終更新日:2019/03/15
最初に記事を書いた日:2019/03/15

この記事をシェアする

このエントリーをはてなブックマークに追加

関連記事

資料室のトップに戻る
Windowsソフト、iPhoneアプリ、ゲーム音楽素材の「Meteoric Stream」 -> 資料室 -> アップル製品奮闘記 -> MacでPHP実行時にlibicui18n.62.dylibのエラーが出る場合の対処方法
▲Top English